net.minecraftforge.client.model.techne

## Class TechneModelLoader

- java.lang.Object
- - net.minecraftforge.client.model.techne.TechneModelLoader

- All Implemented Interfaces:
    IModelCustomLoader

      public class TechneModelLoader
      extends Object
      implements IModelCustomLoader

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TechneModelLoader()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getSuffixes()` Get resource suffixes this model loader recognizes
    `String` | `getType()` Get the main type name for this loader
    `IModelCustom` | `loadInstance(String resourceName, URL resource)` Load a model instance from the supplied path

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TechneModelLoader

          public TechneModelLoader()

  - ### Method Detail

    - #### getType

          public String getType()

      Description copied from interface: `IModelCustomLoader`
      Get the main type name for this loader
      Specified by:
        `getType` in interface `IModelCustomLoader`
      Returns:
        the type name

    - #### getSuffixes

          public String[] getSuffixes()

      Description copied from interface: `IModelCustomLoader`
      Get resource suffixes this model loader recognizes
      Specified by:
        `getSuffixes` in interface `IModelCustomLoader`
      Returns:
        a list of suffixes

    - #### loadInstance

          public IModelCustom loadInstance(String resourceName,
                                  URL resource)
                                    throws ModelFormatException

      Description copied from interface: `IModelCustomLoader`
      Load a model instance from the supplied path
      Specified by:
        `loadInstance` in interface `IModelCustomLoader`
      Parameters:
        `resourceName` - The resource name to load
        `resource` - The URL associated with the classloader resource
      Returns:
        A model instance
      Throws:
        `ModelFormatException` - if the model format is not correct